Subject: Re: bug#28502: 25.3; list-packages ends with "error in process filter: End of file during parsing"

From: Michael Heerdegen <[email-masked]>
Date: Fri, 29 Sep 2017 16:34:33 +0200

Michael Heerdegen <[email-masked]> writes:

> Noam Postavsky <[email-masked]> writes:
>
> > tags 28502 + unreproducible moreinfo
>
> AFAIR I also saw this once.  Then I deleted
>
>   "~/.emacs.d/elpa/archives/melpa/archive-contents"
>
> (this was on July 24th), and the problem was gone.
>
> FWIW I have the deleted file still on my hard disc.  No fun to visit it
> with Emacs however since it's one of these one-huge-line-only files.  At
> least, `read' on position 1 succeeds, so I'm not sure what the problem
> was with it.

FWIW, I see now that my error was a bit different; I can still reproduce
it with the copy of the file I had removed (it is attached):

Debugger entered--Lisp error: (wrong-type-argument arrayp nil)
  package--add-to-archive-contents(nil "melpa")
  package-read-archive-contents("melpa")
  package-read-all-archive-contents()
  package-initialize()
  byte-code("..." 10)
  load("~/gnu-emacs/.gnu-emacs")
  eval-buffer(#<buffer  *load*> nil "/home/micha/.emacs" nil t)  ; Reading at buffer position 261
  load-with-code-conversion("/home/micha/.emacs" "/home/micha/.emacs" t t)
  load("~/.emacs" t t)
  #f(compiled-function () #<bytecode 0x2567f5>)()
  command-line()
  normal-top-level()

Michael.